//## begin module.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module.cm

//## begin module.cp preserve=no
//## end module.cp

//## Module: ProfessorInfo; Pseudo Package specification
//## Subsystem: AnmeldungSystem
//## Source file: d:\seminar\fh\multi\code\AnmldngS\Prfssrnf.h


#ifndef Prfssrnf_h
#define Prfssrnf_h 1

//## begin module.additionalIncludes preserve=no
//## end module.additionalIncludes

//## begin module.includes preserve=yes
//## end module.includes

// KlausurInfo
#include "AnmldngS\Klasrnfo.h"
// PersonInfo
#include "AnmldngS\Persnnfo.h"

//## begin module.additionalDeclarations preserve=yes
//## end module.additionalDeclarations


//## Class: ProfessorInfo
//## Category: Personen
//## Subsystem: AnmeldungSystem
//## Persistence: Persistent
//## Cardinality/Multiplicity: n


class ProfessorInfo : public PersonInfo  //## Inherits: <unnamed>

{
  //## begin ProfessorInfo.initialDeclarations preserve=yes
  //## end ProfessorInfo.initialDeclarations

  public:
    //## Constructors (generated)
      ProfessorInfo();

      ProfessorInfo(const ProfessorInfo &right);

    //## Destructor (generated)
      ~ProfessorInfo();

    //## Get and Set Operations for Associations (generated)

      //## Association: <unnamed>%348ADA3C01FE
      //## Role: ProfessorInfo::<the_KlausurInfo>
      const KlausurInfo get_the_KlausurInfo() const;
      void set_the_KlausurInfo(const KlausurInfo value);

    // Additional Public Declarations
      //## begin ProfessorInfo.public preserve=yes
      //## end ProfessorInfo.public


  protected:
    // Additional Protected Declarations
      //## begin ProfessorInfo.protected preserve=yes
      //## end ProfessorInfo.protected


  private:
    //## Get and Set Operations for Class Attributes (generated)

      //## Attribute: Telefon
      const char * get_Telefon() const;
      void set_Telefon(char *const  value);

    // Additional Private Declarations
      //## begin ProfessorInfo.private preserve=yes
      //## end ProfessorInfo.private


  private:  //## implementation
    // Data Members for Class Attributes

      //## begin ProfessorInfo::Telefon.attr preserve=no  private: char * {U} 
      char *Telefon;
      //## end ProfessorInfo::Telefon.attr

    // Data Members for Associations

      //## Association: <unnamed>%348ADA3C01FE
      //## begin ProfessorInfo::<the_KlausurInfo>.role preserve=no  public: KlausurInfo { -> UHGN}
      KlausurInfo the_KlausurInfo;
      //## end ProfessorInfo::<the_KlausurInfo>.role

    // Additional Implementation Declarations
      //## begin ProfessorInfo.implementation preserve=yes
      //## end ProfessorInfo.implementation

};

// Class ProfessorInfo 

//## Get and Set Operations for Class Attributes (inline)

inline const char * ProfessorInfo::get_Telefon() const
{
  //## begin ProfessorInfo::get_Telefon%.get preserve=no
  return Telefon;
  //## end ProfessorInfo::get_Telefon%.get
}

inline void ProfessorInfo::set_Telefon(char *const  value)
{
  //## begin ProfessorInfo::set_Telefon%.set preserve=no
  Telefon = value;
  //## end ProfessorInfo::set_Telefon%.set
}

//## Get and Set Operations for Associations (inline)

inline const KlausurInfo ProfessorInfo::get_the_KlausurInfo() const
{
  //## begin ProfessorInfo::get_the_KlausurInfo%.get preserve=no
  return the_KlausurInfo;
  //## end ProfessorInfo::get_the_KlausurInfo%.get
}

inline void ProfessorInfo::set_the_KlausurInfo(const KlausurInfo value)
{
  //## begin ProfessorInfo::set_the_KlausurInfo%.set preserve=no
  the_KlausurInfo = value;
  //## end ProfessorInfo::set_the_KlausurInfo%.set
}





#endif


