//## begin module.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module.cm

//## begin module.cp preserve=no
//## end module.cp

//## Module: StudentInfo; Pseudo Package specification
//## Subsystem: AnmeldungSystem
//## Source file: d:\seminar\fh\multi\code\AnmldngS\Stdntnfo.h


#ifndef Stdntnfo_h
#define Stdntnfo_h 1

//## begin module.additionalIncludes preserve=no
//## end module.additionalIncludes

//## begin module.includes preserve=yes
//## end module.includes

// AnmeldungInfo
#include "AnmldngS\Anmldngn.h"
// PersonInfo
#include "AnmldngS\Persnnfo.h"

//## begin module.additionalDeclarations preserve=yes
//## end module.additionalDeclarations


//## Class: StudentInfo
//## Category: Personen
//## Subsystem: AnmeldungSystem
//## Persistence: Persistent
//## Cardinality/Multiplicity: n


class StudentInfo : public PersonInfo  //## Inherits: <unnamed>

{
  //## begin StudentInfo.initialDeclarations preserve=yes
  //## end StudentInfo.initialDeclarations

  public:
    //## Constructors (generated)
      StudentInfo();

      StudentInfo(const StudentInfo &right);

    //## Destructor (generated)
      ~StudentInfo();

    //## Get and Set Operations for Associations (generated)

      //## Association: <unnamed>%348AD5A401C2
      //## Role: StudentInfo::<the_AnmeldungInfo>
      const AnmeldungInfo get_the_AnmeldungInfo() const;
      void set_the_AnmeldungInfo(const AnmeldungInfo value);

    // Additional Public Declarations
      //## begin StudentInfo.public preserve=yes
      //## end StudentInfo.public


  protected:
    // Additional Protected Declarations
      //## begin StudentInfo.protected preserve=yes
      //## end StudentInfo.protected


  private:
    //## Get and Set Operations for Class Attributes (generated)

      //## Attribute: fachrichtung
      const char * get_fachrichtung() const;
      void set_fachrichtung(char *const  value);

    // Additional Private Declarations
      //## begin StudentInfo.private preserve=yes
      //## end StudentInfo.private


  private:  //## implementation
    // Data Members for Class Attributes

      //## begin StudentInfo::fachrichtung.attr preserve=no  private: char * {U} 
      char *fachrichtung;
      //## end StudentInfo::fachrichtung.attr

    // Data Members for Associations

      //## Association: <unnamed>%348AD5A401C2
      //## begin StudentInfo::<the_AnmeldungInfo>.role preserve=no  public: AnmeldungInfo { -> UHGN}
      AnmeldungInfo the_AnmeldungInfo;
      //## end StudentInfo::<the_AnmeldungInfo>.role

    // Additional Implementation Declarations
      //## begin StudentInfo.implementation preserve=yes
      //## end StudentInfo.implementation

};

// Class StudentInfo 

//## Get and Set Operations for Class Attributes (inline)

inline const char * StudentInfo::get_fachrichtung() const
{
  //## begin StudentInfo::get_fachrichtung%.get preserve=no
  return fachrichtung;
  //## end StudentInfo::get_fachrichtung%.get
}

inline void StudentInfo::set_fachrichtung(char *const  value)
{
  //## begin StudentInfo::set_fachrichtung%.set preserve=no
  fachrichtung = value;
  //## end StudentInfo::set_fachrichtung%.set
}

//## Get and Set Operations for Associations (inline)

inline const AnmeldungInfo StudentInfo::get_the_AnmeldungInfo() const
{
  //## begin StudentInfo::get_the_AnmeldungInfo%.get preserve=no
  return the_AnmeldungInfo;
  //## end StudentInfo::get_the_AnmeldungInfo%.get
}

inline void StudentInfo::set_the_AnmeldungInfo(const AnmeldungInfo value)
{
  //## begin StudentInfo::set_the_AnmeldungInfo%.set preserve=no
  the_AnmeldungInfo = value;
  //## end StudentInfo::set_the_AnmeldungInfo%.set
}





#endif


