//## begin module.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module.cm

//## begin module.cp preserve=no
//## end module.cp

//## Module: AnmeldungInfo; Pseudo Package specification
//## Subsystem: AnmeldungSystem
//## Source file: C:\projekt\seminar\fh\single\AnmldngS\Anmldngn.h


#ifndef Anmldngn_h
#define Anmldngn_h 1

//## begin module.additionalIncludes preserve=no
//## end module.additionalIncludes

//## begin module.includes preserve=yes
//## end module.includes


class KlausurInfo;
class StudentInfo;

//## begin module.additionalDeclarations preserve=yes
//## end module.additionalDeclarations


//## Class: AnmeldungInfo
//## Category: Anmeldungen
//## Subsystem: AnmeldungSystem
//## Persistence: Transient
//## Cardinality/Multiplicity: n


class AnmeldungInfo 
{
  //## begin AnmeldungInfo.initialDeclarations preserve=yes
  //## end AnmeldungInfo.initialDeclarations

  public:
    //## Constructors (generated)
      AnmeldungInfo();

      AnmeldungInfo(const AnmeldungInfo &right);

    //## Destructor (generated)
      ~AnmeldungInfo();

    //## Get and Set Operations for Associations (generated)

      //## Association: <unnamed>%3496C907037A
      //## Role: AnmeldungInfo::<the_StudentInfo>
      const StudentInfo get_the_StudentInfo() const;
      void set_the_StudentInfo(const StudentInfo value);

      //## Association: <unnamed>%3496C90B0276
      //## Role: AnmeldungInfo::<the_KlausurInfo>
      const KlausurInfo get_the_KlausurInfo() const;
      void set_the_KlausurInfo(const KlausurInfo value);

    // Additional Public Declarations
      //## begin AnmeldungInfo.public preserve=yes
      //## end AnmeldungInfo.public


  protected:
    // Additional Protected Declarations
      //## begin AnmeldungInfo.protected preserve=yes
      //## end AnmeldungInfo.protected


  private:
    //## Get and Set Operations for Class Attributes (generated)

      //## Attribute: Anmeldedatum
      const char * get_Anmeldedatum() const;
      void set_Anmeldedatum(char *const  value);

    // Additional Private Declarations
      //## begin AnmeldungInfo.private preserve=yes
      //## end AnmeldungInfo.private


  private:  //## implementation
    // Data Members for Class Attributes

      //## begin AnmeldungInfo::Anmeldedatum.attr preserve=no  private: char * {U} 
      char *Anmeldedatum;
      //## end AnmeldungInfo::Anmeldedatum.attr

    // Data Members for Associations

      //## Association: <unnamed>%3496C907037A
      //## begin AnmeldungInfo::<the_StudentInfo>.role preserve=no  public: StudentInfo { -> UFHN}
      StudentInfo the_StudentInfo;
      //## end AnmeldungInfo::<the_StudentInfo>.role

      //## Association: <unnamed>%3496C90B0276
      //## begin AnmeldungInfo::<the_KlausurInfo>.role preserve=no  public: KlausurInfo { -> UFHGN}
      KlausurInfo the_KlausurInfo;
      //## end AnmeldungInfo::<the_KlausurInfo>.role

    // Additional Implementation Declarations
      //## begin AnmeldungInfo.implementation preserve=yes
      //## end AnmeldungInfo.implementation

};

// Class AnmeldungInfo 





#endif


