//## begin module.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module.cm

//## begin module.cp preserve=no
//## end module.cp

//## Module: Anmeldung; Main program
//## Subsystem: AnmeldungSystem
//## Source file: C:\projekt\seminar\fh\single\AnmldngS\Anmldung.cpp


//## begin module.additionalIncludes preserve=no
//## end module.additionalIncludes

//## begin module.includes preserve=yes
//## end module.includes


//## begin module.declarations preserve=no
//## end module.declarations

//## begin module.additionalDeclarations preserve=yes
//## end module.additionalDeclarations


//## Class: PersonInfo; Abstract
//## Category: Personen
//## Subsystem: AnmeldungSystem
//## Persistence: Persistent
//## Cardinality/Multiplicity: n


class PersonInfo 
{
  //## begin PersonInfo.initialDeclarations preserve=yes
  //## end PersonInfo.initialDeclarations

  public:
    //## Constructors (generated)
      PersonInfo();

      PersonInfo(const PersonInfo &right);

    //## Destructor (generated)
      ~PersonInfo();

    // Additional Public Declarations
      //## begin PersonInfo.public preserve=yes
      //## end PersonInfo.public


  protected:
    // Additional Protected Declarations
      //## begin PersonInfo.protected preserve=yes
      //## end PersonInfo.protected


  private:
    //## Get and Set Operations for Class Attributes (generated)

      //## Attribute: IDNummer
      const int get_IDNummer() const;
      void set_IDNummer(const int value);

      //## Attribute: Name
      const char * get_Name() const;
      void set_Name(char *const  value);

      //## Attribute: Vorname
      const char * get_Vorname() const;
      void set_Vorname(char *const  value);

    // Additional Private Declarations
      //## begin PersonInfo.private preserve=yes
      //## end PersonInfo.private


  private:  //## implementation
    // Data Members for Class Attributes

      //## begin PersonInfo::IDNummer.attr preserve=no  private: int {U} 
      int IDNummer;
      //## end PersonInfo::IDNummer.attr

      //## begin PersonInfo::Name.attr preserve=no  private: char * {U} 
      char *Name;
      //## end PersonInfo::Name.attr

      //## begin PersonInfo::Vorname.attr preserve=no  private: char * {U} 
      char *Vorname;
      //## end PersonInfo::Vorname.attr

    // Additional Implementation Declarations
      //## begin PersonInfo.implementation preserve=yes
      //## end PersonInfo.implementation

};



//## Class: AnmeldungInfo
//## Category: Anmeldungen
//## Subsystem: AnmeldungSystem
//## Persistence: Transient
//## Cardinality/Multiplicity: n


class AnmeldungInfo 
{
  //## begin AnmeldungInfo.initialDeclarations preserve=yes
  //## end AnmeldungInfo.initialDeclarations

  public:
    //## Constructors (generated)
      AnmeldungInfo();

      AnmeldungInfo(const AnmeldungInfo &right);

    //## Destructor (generated)
      ~AnmeldungInfo();

    //## Get and Set Operations for Associations (generated)

      //## Association: <unnamed>%348AD5A401C2
      //## Role: AnmeldungInfo::<the_StudentInfo>
      const StudentInfo * get_the_StudentInfo() const;
      void set_the_StudentInfo(StudentInfo *const  value);

      //## Association: <unnamed>%348AD5AE02D0
      //## Role: AnmeldungInfo::<the_KlausurInfo>
      const KlausurInfo get_the_KlausurInfo() const;
      void set_the_KlausurInfo(const KlausurInfo value);

    // Additional Public Declarations
      //## begin AnmeldungInfo.public preserve=yes
      //## end AnmeldungInfo.public


  protected:
    // Additional Protected Declarations
      //## begin AnmeldungInfo.protected preserve=yes
      //## end AnmeldungInfo.protected


  private:
    //## Get and Set Operations for Class Attributes (generated)

      //## Attribute: Anmeldedatum
      const char * get_Anmeldedatum() const;
      void set_Anmeldedatum(char *const  value);

    // Additional Private Declarations
      //## begin AnmeldungInfo.private preserve=yes
      //## end AnmeldungInfo.private


  private:  //## implementation
    // Data Members for Class Attributes

      //## begin AnmeldungInfo::Anmeldedatum.attr preserve=no  private: char * {U} 
      char *Anmeldedatum;
      //## end AnmeldungInfo::Anmeldedatum.attr

    // Data Members for Associations

      //## Association: <unnamed>%348AD5A401C2
      //## begin AnmeldungInfo::<the_StudentInfo>.role preserve=no  public: StudentInfo { -> RHN}
      StudentInfo *the_StudentInfo;
      //## end AnmeldungInfo::<the_StudentInfo>.role

      //## Association: <unnamed>%348AD5AE02D0
      //## begin AnmeldungInfo::<the_KlausurInfo>.role preserve=no  public: KlausurInfo { -> VHN}
      KlausurInfo the_KlausurInfo;
      //## end AnmeldungInfo::<the_KlausurInfo>.role

    // Additional Implementation Declarations
      //## begin AnmeldungInfo.implementation preserve=yes
      //## end AnmeldungInfo.implementation

};



//## Class: StudentInfo
//## Category: Personen
//## Subsystem: AnmeldungSystem
//## Persistence: Persistent
//## Cardinality/Multiplicity: n


class StudentInfo : public PersonInfo  //## Inherits: <unnamed>

{
  //## begin StudentInfo.initialDeclarations preserve=yes
  //## end StudentInfo.initialDeclarations

  public:
    //## Constructors (generated)
      StudentInfo();

      StudentInfo(const StudentInfo &right);

    //## Destructor (generated)
      ~StudentInfo();

    //## Get and Set Operations for Associations (generated)

      //## Association: <unnamed>%348AD5A401C2
      //## Role: StudentInfo::<the_AnmeldungInfo>
      const AnmeldungInfo get_the_AnmeldungInfo() const;
      void set_the_AnmeldungInfo(const AnmeldungInfo value);

    // Additional Public Declarations
      //## begin StudentInfo.public preserve=yes
      //## end StudentInfo.public


  protected:
    // Additional Protected Declarations
      //## begin StudentInfo.protected preserve=yes
      //## end StudentInfo.protected


  private:
    //## Get and Set Operations for Class Attributes (generated)

      //## Attribute: fachrichtung
      const char * get_fachrichtung() const;
      void set_fachrichtung(char *const  value);

    // Additional Private Declarations
      //## begin StudentInfo.private preserve=yes
      //## end StudentInfo.private


  private:  //## implementation
    // Data Members for Class Attributes

      //## begin StudentInfo::fachrichtung.attr preserve=no  private: char * {U} 
      char *fachrichtung;
      //## end StudentInfo::fachrichtung.attr

    // Data Members for Associations

      //## Association: <unnamed>%348AD5A401C2
      //## begin StudentInfo::<the_AnmeldungInfo>.role preserve=no  public: AnmeldungInfo { -> UHGN}
      AnmeldungInfo the_AnmeldungInfo;
      //## end StudentInfo::<the_AnmeldungInfo>.role

    // Additional Implementation Declarations
      //## begin StudentInfo.implementation preserve=yes
      //## end StudentInfo.implementation

};



//## Class: KlausurInfo
//## Category: Anmeldungen
//## Subsystem: AnmeldungSystem
//## Persistence: Transient
//## Cardinality/Multiplicity: n


class KlausurInfo 
{
  //## begin KlausurInfo.initialDeclarations preserve=yes
  //## end KlausurInfo.initialDeclarations

  public:
    //## Constructors (generated)
      KlausurInfo();

      KlausurInfo(const KlausurInfo &right);

    //## Destructor (generated)
      ~KlausurInfo();

    //## Get and Set Operations for Associations (generated)

      //## Association: <unnamed>%348AD5AE02D0
      //## Role: KlausurInfo::<the_AnmeldungInfo>
      const AnmeldungInfo get_the_AnmeldungInfo() const;
      void set_the_AnmeldungInfo(const AnmeldungInfo value);

      //## Association: <unnamed>%348ADA3C01FE
      //## Role: KlausurInfo::<the_ProfessorInfo>
      const ProfessorInfo get_the_ProfessorInfo() const;
      void set_the_ProfessorInfo(const ProfessorInfo value);

    // Additional Public Declarations
      //## begin KlausurInfo.public preserve=yes
      //## end KlausurInfo.public


  protected:
    // Additional Protected Declarations
      //## begin KlausurInfo.protected preserve=yes
      //## end KlausurInfo.protected


  private:
    // Additional Private Declarations
      //## begin KlausurInfo.private preserve=yes
      //## end KlausurInfo.private


  private:  //## implementation
    // Data Members for Associations

      //## Association: <unnamed>%348AD5AE02D0
      //## begin KlausurInfo::<the_AnmeldungInfo>.role preserve=no  public: AnmeldungInfo { -> UHGN}
      AnmeldungInfo the_AnmeldungInfo;
      //## end KlausurInfo::<the_AnmeldungInfo>.role

      //## Association: <unnamed>%348ADA3C01FE
      //## begin KlausurInfo::<the_ProfessorInfo>.role preserve=no  public: ProfessorInfo { -> VHN}
      ProfessorInfo the_ProfessorInfo;
      //## end KlausurInfo::<the_ProfessorInfo>.role

    // Additional Implementation Declarations
      //## begin KlausurInfo.implementation preserve=yes
      //## end KlausurInfo.implementation

};



//## Class: ProfessorInfo
//## Category: Personen
//## Subsystem: AnmeldungSystem
//## Persistence: Persistent
//## Cardinality/Multiplicity: n


class ProfessorInfo : public PersonInfo  //## Inherits: <unnamed>

{
  //## begin ProfessorInfo.initialDeclarations preserve=yes
  //## end ProfessorInfo.initialDeclarations

  public:
    //## Constructors (generated)
      ProfessorInfo();

      ProfessorInfo(const ProfessorInfo &right);

    //## Destructor (generated)
      ~ProfessorInfo();

    //## Get and Set Operations for Associations (generated)

      //## Association: <unnamed>%348ADA3C01FE
      //## Role: ProfessorInfo::<the_KlausurInfo>
      const KlausurInfo get_the_KlausurInfo() const;
      void set_the_KlausurInfo(const KlausurInfo value);

    // Additional Public Declarations
      //## begin ProfessorInfo.public preserve=yes
      //## end ProfessorInfo.public


  protected:
    // Additional Protected Declarations
      //## begin ProfessorInfo.protected preserve=yes
      //## end ProfessorInfo.protected


  private:
    //## Get and Set Operations for Class Attributes (generated)

      //## Attribute: Telefon
      const char * get_Telefon() const;
      void set_Telefon(char *const  value);

    // Additional Private Declarations
      //## begin ProfessorInfo.private preserve=yes
      //## end ProfessorInfo.private


  private:  //## implementation
    // Data Members for Class Attributes

      //## begin ProfessorInfo::Telefon.attr preserve=no  private: char * {U} 
      char *Telefon;
      //## end ProfessorInfo::Telefon.attr

    // Data Members for Associations

      //## Association: <unnamed>%348ADA3C01FE
      //## begin ProfessorInfo::<the_KlausurInfo>.role preserve=no  public: KlausurInfo { -> UHGN}
      KlausurInfo the_KlausurInfo;
      //## end ProfessorInfo::<the_KlausurInfo>.role

    // Additional Implementation Declarations
      //## begin ProfessorInfo.implementation preserve=yes
      //## end ProfessorInfo.implementation

};



// Class PersonInfo 





// Class AnmeldungInfo 





// Class StudentInfo 





// Class KlausurInfo 





// Class ProfessorInfo 





// Class PersonInfo 




PersonInfo::PersonInfo()
  //## begin PersonInfo::PersonInfo%.hasinit preserve=no
  //## end PersonInfo::PersonInfo%.hasinit
  //## begin PersonInfo::PersonInfo%.initialization preserve=yes
  //## end PersonInfo::PersonInfo%.initialization
{
  //## begin PersonInfo::PersonInfo%.body preserve=yes
  //## end PersonInfo::PersonInfo%.body
}

PersonInfo::PersonInfo(const PersonInfo &right)
  //## begin PersonInfo::PersonInfo%copy.hasinit preserve=no
  //## end PersonInfo::PersonInfo%copy.hasinit
  //## begin PersonInfo::PersonInfo%copy.initialization preserve=yes
  //## end PersonInfo::PersonInfo%copy.initialization
{
  //## begin PersonInfo::PersonInfo%copy.body preserve=yes
  //## end PersonInfo::PersonInfo%copy.body
}


PersonInfo::~PersonInfo()
{
  //## begin PersonInfo::~PersonInfo%.body preserve=yes
  //## end PersonInfo::~PersonInfo%.body
}


//## Get and Set Operations for Class Attributes (implementation)

const int PersonInfo::get_IDNummer() const
{
  //## begin PersonInfo::get_IDNummer%.get preserve=no
  return IDNummer;
  //## end PersonInfo::get_IDNummer%.get
}

void PersonInfo::set_IDNummer(const int value)
{
  //## begin PersonInfo::set_IDNummer%.set preserve=no
  IDNummer = value;
  //## end PersonInfo::set_IDNummer%.set
}

const char * PersonInfo::get_Name() const
{
  //## begin PersonInfo::get_Name%.get preserve=no
  return Name;
  //## end PersonInfo::get_Name%.get
}

void PersonInfo::set_Name(char *const  value)
{
  //## begin PersonInfo::set_Name%.set preserve=no
  Name = value;
  //## end PersonInfo::set_Name%.set
}

const char * PersonInfo::get_Vorname() const
{
  //## begin PersonInfo::get_Vorname%.get preserve=no
  return Vorname;
  //## end PersonInfo::get_Vorname%.get
}

void PersonInfo::set_Vorname(char *const  value)
{
  //## begin PersonInfo::set_Vorname%.set preserve=no
  Vorname = value;
  //## end PersonInfo::set_Vorname%.set
}


// Additional Declarations
//## begin PersonInfo.declarations preserve=yes
//## end PersonInfo.declarations


// Class AnmeldungInfo 




AnmeldungInfo::AnmeldungInfo()
  //## begin AnmeldungInfo::AnmeldungInfo%.hasinit preserve=no
  //## end AnmeldungInfo::AnmeldungInfo%.hasinit
  //## begin AnmeldungInfo::AnmeldungInfo%.initialization preserve=yes
  //## end AnmeldungInfo::AnmeldungInfo%.initialization
{
  //## begin AnmeldungInfo::AnmeldungInfo%.body preserve=yes
  //## end AnmeldungInfo::AnmeldungInfo%.body
}

AnmeldungInfo::AnmeldungInfo(const AnmeldungInfo &right)
  //## begin AnmeldungInfo::AnmeldungInfo%copy.hasinit preserve=no
  //## end AnmeldungInfo::AnmeldungInfo%copy.hasinit
  //## begin AnmeldungInfo::AnmeldungInfo%copy.initialization preserve=yes
  //## end AnmeldungInfo::AnmeldungInfo%copy.initialization
{
  //## begin AnmeldungInfo::AnmeldungInfo%copy.body preserve=yes
  //## end AnmeldungInfo::AnmeldungInfo%copy.body
}


AnmeldungInfo::~AnmeldungInfo()
{
  //## begin AnmeldungInfo::~AnmeldungInfo%.body preserve=yes
  //## end AnmeldungInfo::~AnmeldungInfo%.body
}


//## Get and Set Operations for Class Attributes (implementation)

const char * AnmeldungInfo::get_Anmeldedatum() const
{
  //## begin AnmeldungInfo::get_Anmeldedatum%.get preserve=no
  return Anmeldedatum;
  //## end AnmeldungInfo::get_Anmeldedatum%.get
}

void AnmeldungInfo::set_Anmeldedatum(char *const  value)
{
  //## begin AnmeldungInfo::set_Anmeldedatum%.set preserve=no
  Anmeldedatum = value;
  //## end AnmeldungInfo::set_Anmeldedatum%.set
}

//## Get and Set Operations for Associations (implementation)

const StudentInfo * AnmeldungInfo::get_the_StudentInfo() const
{
  //## begin AnmeldungInfo::get_the_StudentInfo%.get preserve=no
  return the_StudentInfo;
  //## end AnmeldungInfo::get_the_StudentInfo%.get
}

void AnmeldungInfo::set_the_StudentInfo(StudentInfo *const  value)
{
  //## begin AnmeldungInfo::set_the_StudentInfo%.set preserve=no
  the_StudentInfo = value;
  //## end AnmeldungInfo::set_the_StudentInfo%.set
}

const KlausurInfo AnmeldungInfo::get_the_KlausurInfo() const
{
  //## begin AnmeldungInfo::get_the_KlausurInfo%.get preserve=no
  return the_KlausurInfo;
  //## end AnmeldungInfo::get_the_KlausurInfo%.get
}

void AnmeldungInfo::set_the_KlausurInfo(const KlausurInfo value)
{
  //## begin AnmeldungInfo::set_the_KlausurInfo%.set preserve=no
  the_KlausurInfo = value;
  //## end AnmeldungInfo::set_the_KlausurInfo%.set
}


// Additional Declarations
//## begin AnmeldungInfo.declarations preserve=yes
//## end AnmeldungInfo.declarations


// Class StudentInfo 



StudentInfo::StudentInfo()
  //## begin StudentInfo::StudentInfo%.hasinit preserve=no
  //## end StudentInfo::StudentInfo%.hasinit
  //## begin StudentInfo::StudentInfo%.initialization preserve=yes
  //## end StudentInfo::StudentInfo%.initialization
{
  //## begin StudentInfo::StudentInfo%.body preserve=yes
  //## end StudentInfo::StudentInfo%.body
}

StudentInfo::StudentInfo(const StudentInfo &right)
  //## begin StudentInfo::StudentInfo%copy.hasinit preserve=no
  //## end StudentInfo::StudentInfo%copy.hasinit
  //## begin StudentInfo::StudentInfo%copy.initialization preserve=yes
  //## end StudentInfo::StudentInfo%copy.initialization
{
  //## begin StudentInfo::StudentInfo%copy.body preserve=yes
  //## end StudentInfo::StudentInfo%copy.body
}


StudentInfo::~StudentInfo()
{
  //## begin StudentInfo::~StudentInfo%.body preserve=yes
  //## end StudentInfo::~StudentInfo%.body
}


//## Get and Set Operations for Class Attributes (implementation)

const char * StudentInfo::get_fachrichtung() const
{
  //## begin StudentInfo::get_fachrichtung%.get preserve=no
  return fachrichtung;
  //## end StudentInfo::get_fachrichtung%.get
}

void StudentInfo::set_fachrichtung(char *const  value)
{
  //## begin StudentInfo::set_fachrichtung%.set preserve=no
  fachrichtung = value;
  //## end StudentInfo::set_fachrichtung%.set
}

//## Get and Set Operations for Associations (implementation)

const AnmeldungInfo StudentInfo::get_the_AnmeldungInfo() const
{
  //## begin StudentInfo::get_the_AnmeldungInfo%.get preserve=no
  return the_AnmeldungInfo;
  //## end StudentInfo::get_the_AnmeldungInfo%.get
}

void StudentInfo::set_the_AnmeldungInfo(const AnmeldungInfo value)
{
  //## begin StudentInfo::set_the_AnmeldungInfo%.set preserve=no
  the_AnmeldungInfo = value;
  //## end StudentInfo::set_the_AnmeldungInfo%.set
}


// Additional Declarations
//## begin StudentInfo.declarations preserve=yes
//## end StudentInfo.declarations


// Class KlausurInfo 



KlausurInfo::KlausurInfo()
  //## begin KlausurInfo::KlausurInfo%.hasinit preserve=no
  //## end KlausurInfo::KlausurInfo%.hasinit
  //## begin KlausurInfo::KlausurInfo%.initialization preserve=yes
  //## end KlausurInfo::KlausurInfo%.initialization
{
  //## begin KlausurInfo::KlausurInfo%.body preserve=yes
  //## end KlausurInfo::KlausurInfo%.body
}

KlausurInfo::KlausurInfo(const KlausurInfo &right)
  //## begin KlausurInfo::KlausurInfo%copy.hasinit preserve=no
  //## end KlausurInfo::KlausurInfo%copy.hasinit
  //## begin KlausurInfo::KlausurInfo%copy.initialization preserve=yes
  //## end KlausurInfo::KlausurInfo%copy.initialization
{
  //## begin KlausurInfo::KlausurInfo%copy.body preserve=yes
  //## end KlausurInfo::KlausurInfo%copy.body
}


KlausurInfo::~KlausurInfo()
{
  //## begin KlausurInfo::~KlausurInfo%.body preserve=yes
  //## end KlausurInfo::~KlausurInfo%.body
}


//## Get and Set Operations for Associations (implementation)

const AnmeldungInfo KlausurInfo::get_the_AnmeldungInfo() const
{
  //## begin KlausurInfo::get_the_AnmeldungInfo%.get preserve=no
  return the_AnmeldungInfo;
  //## end KlausurInfo::get_the_AnmeldungInfo%.get
}

void KlausurInfo::set_the_AnmeldungInfo(const AnmeldungInfo value)
{
  //## begin KlausurInfo::set_the_AnmeldungInfo%.set preserve=no
  the_AnmeldungInfo = value;
  //## end KlausurInfo::set_the_AnmeldungInfo%.set
}

const ProfessorInfo KlausurInfo::get_the_ProfessorInfo() const
{
  //## begin KlausurInfo::get_the_ProfessorInfo%.get preserve=no
  return the_ProfessorInfo;
  //## end KlausurInfo::get_the_ProfessorInfo%.get
}

void KlausurInfo::set_the_ProfessorInfo(const ProfessorInfo value)
{
  //## begin KlausurInfo::set_the_ProfessorInfo%.set preserve=no
  the_ProfessorInfo = value;
  //## end KlausurInfo::set_the_ProfessorInfo%.set
}


// Additional Declarations
//## begin KlausurInfo.declarations preserve=yes
//## end KlausurInfo.declarations


// Class ProfessorInfo 



ProfessorInfo::ProfessorInfo()
  //## begin ProfessorInfo::ProfessorInfo%.hasinit preserve=no
  //## end ProfessorInfo::ProfessorInfo%.hasinit
  //## begin ProfessorInfo::ProfessorInfo%.initialization preserve=yes
  //## end ProfessorInfo::ProfessorInfo%.initialization
{
  //## begin ProfessorInfo::ProfessorInfo%.body preserve=yes
  //## end ProfessorInfo::ProfessorInfo%.body
}

ProfessorInfo::ProfessorInfo(const ProfessorInfo &right)
  //## begin ProfessorInfo::ProfessorInfo%copy.hasinit preserve=no
  //## end ProfessorInfo::ProfessorInfo%copy.hasinit
  //## begin ProfessorInfo::ProfessorInfo%copy.initialization preserve=yes
  //## end ProfessorInfo::ProfessorInfo%copy.initialization
{
  //## begin ProfessorInfo::ProfessorInfo%copy.body preserve=yes
  //## end ProfessorInfo::ProfessorInfo%copy.body
}


ProfessorInfo::~ProfessorInfo()
{
  //## begin ProfessorInfo::~ProfessorInfo%.body preserve=yes
  //## end ProfessorInfo::~ProfessorInfo%.body
}


//## Get and Set Operations for Class Attributes (implementation)

const char * ProfessorInfo::get_Telefon() const
{
  //## begin ProfessorInfo::get_Telefon%.get preserve=no
  return Telefon;
  //## end ProfessorInfo::get_Telefon%.get
}

void ProfessorInfo::set_Telefon(char *const  value)
{
  //## begin ProfessorInfo::set_Telefon%.set preserve=no
  Telefon = value;
  //## end ProfessorInfo::set_Telefon%.set
}

//## Get and Set Operations for Associations (implementation)

const KlausurInfo ProfessorInfo::get_the_KlausurInfo() const
{
  //## begin ProfessorInfo::get_the_KlausurInfo%.get preserve=no
  return the_KlausurInfo;
  //## end ProfessorInfo::get_the_KlausurInfo%.get
}

void ProfessorInfo::set_the_KlausurInfo(const KlausurInfo value)
{
  //## begin ProfessorInfo::set_the_KlausurInfo%.set preserve=no
  the_KlausurInfo = value;
  //## end ProfessorInfo::set_the_KlausurInfo%.set
}


// Additional Declarations
//## begin ProfessorInfo.declarations preserve=yes
//## end ProfessorInfo.declarations




